# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"XML Copy Editor_is1",
   "name":"XML Copy Editor version 1.3.1.0",
   "version":"1.3.1.0",
   "install_date":"2024-09-18 00:00:00",
   "install_location":"C:\\Program Files\\XML Copy Editor\\",
   "uninstall_string":"\"C:\\Program Files\\XML Copy Editor\\unins000.exe\"",
   "publisher":"Zane U. Ji",
   "system_component":0,
   "win64":true
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('xmlcopyeditor-*-install.exe')[0]
    # Installing the software

    install_exe_if_needed(bin_name,
        silentflags='/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP /ALLUSERS',
        key='XML Copy Editor_is1',
        min_version=control.get_software_version(),
    )



